gsw_entropy_ice {gsw} | R Documentation

## Entropy of ice

### Description

Entropy of ice

### Usage

    gsw_entropy_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

entropy [ J/(kg*degC) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_entropy_ice.html

### See Also

Other things related to entropy: `gsw_CT_from_entropy`, `gsw_entropy_first_derivatives`, `gsw_entropy_from_pt`, `gsw_entropy_from_t`, `gsw_pt_from_entropy`

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600,  -10.8863,  -8.4036)
    p <- c(      10,       50,      125,      250,      600,      1000)
    e <- gsw_entropy_ice(t, p)
    expect_equal(e/1e3, c(-1.303663820598987, -1.324090218294577, -1.319426394193644,
                        -1.315402956671801, -1.305426590579231, -1.287021035328113))

[Package gsw version 1.0-5 Index]